#-------------------------------------------------------------------------------#
#               Qodana analysis is configured by qodana.yaml file               #
#             https://www.jetbrains.com/help/qodana/qodana-yaml.html            #
#-------------------------------------------------------------------------------#
version: "1.0"
#Specify inspection profile for code analysis
profile:
  name: qodana.starter
#Enable inspections
#include:
#  - name: <SomeEnabledInspectionId>
#Disable inspections
#exclude:
#  - name: <SomeDisabledInspectionId>
#    paths:
#      - <path/where/not/run/inspection>
#The following options are only applied in CI/CD environment
#These options are ignored during local run
#Execute shell command before Qodana execution
#bootstrap: sh ./prepare-qodana.sh
#Install IDE plugins before Qodana execution
#plugins:
#  - id: <plugin.id> #(plugin id can be found at https://plugins.jetbrains.com)
#Specify Qodana linter for analysis
linter: jetbrains/qodana-php:latest
include:
  - name: CheckDependencyLicenses
exclude:
  - name: PhpUndefinedFunctionInspection
  - name: PhpUndefinedVariableInspection
  - name: PhpElementIsNotAvailableInCurrentPhpVersionInspection
  - name: PhpUndefinedClassConstantInspection
  - name: PhpUndefinedClassInspection
  - name: PhpLanguageLevelInspection
